Bug 123175 - failed dependencies on s390/s390x
failed dependencies on s390/s390x
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2-tests (Show other bugs)
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
Rob Landry
Depends On:
  Show dependency treegraph
Reported: 2004-05-13 12:19 EDT by Brock Organ
Modified: 2007-04-18 13:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-29 11:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2004-05-13 12:19:22 EDT
* RHEL3-U2 s390/s390x rhr2 testing
* testing rhr2-0.9-14.2.noarch.rpm,
rhr2-externals-0.9-14.2.noarch.rpm, rhr2-tests-0.9-14.2.noarch.rpm

when installing on s390/s390x, failed dependencies occur:

> # rpm -ivh rhr2-0.9-14.2.noarch.rpm 
> rhr2-externals-0.9-14.2.noarch.rpm rhr2-tests-0.9-14.2.noarch.rpm
> error: Failed dependencies:
>         /usr/share/redhat-config-soundcard/redhat-sample.wav is 
> needed by rhr2-tests-0.9-14.2
>         redhat-config-xfree86 is needed by rhr2-tests-0.9-14.2
> #

these files are not present in RHEL3-U2 for s390/s390x, and so should
not be required for the rhr tests ...
Comment 1 Rob Landry 2004-05-13 13:15:02 EDT
The catch-22 is the X test and the Sound test do require these files
so the dependency is valid; at the same time there are headless
machines and many a machine without sound so we'll need to figure out
what the balance here is as I see separating out each test into it's
own package with it's own dependency as tedious and onerous so that
doesn't seem like it.  There may be something we can do with triggers
or such to enable and disable tests based on post install requirements
(eg. remove the dependency in the file and instead in the app disable
sound and or X when not available).  Not certain; going to have to
think about this for a bit.
Comment 2 Rob Landry 2004-07-21 11:06:54 EDT
Should be resolved in 0.9-14.2 or higher
Comment 3 Rob Landry 2004-07-22 10:35:28 EDT
should be addressed in 0.9-14.8k available on

Note You need to log in before you can comment on or make changes to this bug.